Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class GroovyDocTemplateEngine

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.GroovyDocTemplateEngine

    class GroovyDocTemplateEngine
    extends Object

Process Groovydoc templates.

Constructor Summary
`GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String classTemplate)`
`GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String[] docTemplates, String[] packageTemplates, String[] classTemplates, Properties properties)`

Method Summary
`String` | `applyClassTemplates(GroovyClassDoc classDoc)`
`String` | `applyPackageTemplate(String template, GroovyPackageDoc packageDoc)`
`String` | `applyRootDocTemplate(String template, GroovyRootDoc rootDoc)`
`Iterator` | `classTemplatesIterator()`
`void` | `copyBinaryResource(String template, String destFileName)`
`Iterator` | `docTemplatesIterator()`
`Iterator` | `packageTemplatesIterator()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovyDocTemplateEngine

    public GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String classTemplate)

### GroovyDocTemplateEngine

    public GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String[] docTemplates, String[] packageTemplates, String[] classTemplates, Properties properties)

Method Detail

### applyClassTemplates

    public String applyClassTemplates(GroovyClassDoc classDoc)

### applyPackageTemplate

    public String applyPackageTemplate(String template, GroovyPackageDoc packageDoc)

### applyRootDocTemplate

    public String applyRootDocTemplate(String template, GroovyRootDoc rootDoc)

### classTemplatesIterator

    public Iterator classTemplatesIterator()

### copyBinaryResource

    public void copyBinaryResource(String template, String destFileName)

### docTemplatesIterator

    public Iterator docTemplatesIterator()

### packageTemplatesIterator

    public Iterator packageTemplatesIterator()

Copyright © 2003-2009 The Codehaus. All rights reserved.